<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Consulta</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</head>

<body>
    <!--barra de navegacion-->
    <div>
        <h1 class="display-4 text-center mt-3 mb-3">HOSPITAL "ME ESTOY MURIENDO"</h1>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Brand/logo -->
            <a class="navbar-brand" href="index.html">Inicio</a>

            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="doctor.html">Doctor</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="especialidad.html">Especialidad</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="paciente.html">Paciente</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="consulta.html">Consulta</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="DetalleConsulta.html">DetalleConsulta</a>
                </li>
            </ul>
        </nav>
    </div>
    <!--TABLA-->
    <div class="container">
        <h1 class="display-4 mt-3">Consultas</h1>
        <button type="button" class="btn btn-dark" data-toggle="modal" data-target="#mAdd">
            Nueva Consulta</button>
        <table class="table mt-2">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>FECHA</th>
                    <th>PACIENTE</th>
                    <th>DIAGNOSTICO</th>
                    <th>DOCTOR</th>
                    <th>ACCIONES</th>
                </tr>
            </thead>
            <tbody id="cConsulta">

            </tbody>
        </table>
    </div>

    <!--modal para agregar-->
    <div id="mAdd" class="modal fade" style="margin-right: auto;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Nueva Consulta</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label>FECHA:</label>
                        <input type="date" class="form-control" id="fecha" placeholder="Ingrese la fecha">
                    </div>
                    <div class="form-group">
                        <label for="paciente">Paciente: </label>
                        <select class="form-control" name="paciente" id="paciente">
                            <option value="" selected>--SELECCIONE UN PACIENTE</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>DIAGNOSTICO:</label>
                        <textarea name="diagnostico" id="diagnostico" cols="30" rows="7" class="form-control"
                            placeholder="Ingrese su diagnostico"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="doctor">Doctor: </label>
                        <select class="form-control" name="doctor" id="doctor">
                            <option value="" selected>--SELECCIONE UN DOCTOR</option>
                        </select>
                    </div>
                    <div class="modal-footer">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
                        <input type="button" class="btn btn-primary" data-dismiss="modal" value="Guardar"
                            id="addConsulta">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--modal editar-->
    <div id="mUpdate" class="modal fade" style="margin-right: auto;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Editar Consulta</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <!-- <label for="nombre">ID:</label> -->
                        <input readonly="readonly" id="idC" class="form-control" type="hidden">
                    </div>
                    <div class="form-group">
                        <label>FECHA:</label>
                        <input type="date" class="form-control" id="fecha2" placeholder="Ingrese la fecha">
                    </div>
                    <div class="form-group">
                        <label for="paciente">Paciente: </label>
                        <select class="form-control" name="idPaciente" id="paciente2">
                            <option value="" selected>--SELECCIONE UN PACIENTE</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>DIAGNOSTICO:</label>
                        <textarea name="diagnostico" id="diagnostico2" cols="30" rows="7" class="form-control"
                            placeholder="Ingrese su diagnostico"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="doctor">Doctor: </label>
                        <select class="form-control" name="idDoctor" id="doctor2">
                            <option value="" selected>--SELECCIONE UN DOCTOR</option>
                        </select>
                    </div>
                    <div class="modal-footer">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
                        <input type="button" class="btn btn-primary" data-dismiss="modal" value="Guardar"
                            id="updateConsulta">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--modal para eliminar -->
    <div id="mDelete" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-danger">
                    <h3 class="modal-tittle text-light">Eliminar Consulta</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="idConsulta">
                    <h4 class="text-danger">¿Esta seguro de eliminar la consulta?</h4>
                </div>
                <div class="modal-footer">
                    <input id="deleteConsulta" type="button" data-dismiss="modal" class="btn btn-danger"
                        value="Eliminar">
                    <input type="reset" class="btn btn-success" data-dismiss="modal" value="Cancelar">
                </div>
            </div>
        </div>
    </div>

    <script src="/js/jquery.js"></script>
    <script src="/js/consulta.js"></script>
</body>

</html>